Bug 564893

Summary: FTBFS rsibreak-0.10-1.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: rsibreakAssignee: Roland Wolters <roland.wolters>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: rdieter, roland.wolters
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: rsibreak-0.10-3.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-22 22:23:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 564245    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 12:14:38 EST
rsibreak-0.10-1.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:14:42 EST
Created attachment 392335 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:14:44 EST
Created attachment 392336 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:14:45 EST
Created attachment 392337 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:14:48 EST
Created attachment 392338 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:14:49 EST
Created attachment 392339 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:14:50 EST
Created attachment 392340 [details]
mock.log

mock.log for x86_64
Comment 7 Roland Wolters 2010-02-24 19:27:16 EST
Fixed the DSO problems via additional entry in the CMakeLists. Package now builds fine in devel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2012506
Should I update the package for F13 as well, or are we already in a freeze regarding DSO problems?
Comment 8 Rex Dieter 2010-02-24 22:55:36 EST
Please do fix for F-13 too, fixing FTBFS is pretty much always ok. :)
Comment 9 Fedora Update System 2010-03-01 17:46:08 EST
rsibreak-0.10-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rsibreak-0.10-3.fc13
Comment 10 Roland Wolters 2010-03-01 17:48:19 EST
Build it for F13....
Comment 11 Fedora Update System 2010-03-02 21:02:39 EST
rsibreak-0.10-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsibreak'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3467
Comment 12 Bug Zapper 2010-03-15 10:46:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2010-03-22 22:23:16 EDT
rsibreak-0.10-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.